Subject: Oregon
From: "Rhonda R. Ames" <[email-masked]>
To: "Mike Bishop" <[email-masked]>
Cc: "David R. Brake" <[email-masked]>
Date: Fri, 1 May 2009 09:07:13 -0400

Mike,

As you know, Annual Reports are completed on a yearly basis on MPA's behalf.  So far, annual reports for most states that MPA is registered to do business in have been completed for this year.  

However, I need you to look around, or keep your eyes open for correspondence regarding Oregon.  While Oregon does not actually have an annual report that is filed, Oregon does mail out some sort of a "blue coupon" so that a fee may be paid.  From conversations with Oregon earlier in the year, I was told that the coupons were printed on or around March 21 and that they are directly mailed to the client (ie. MPA).

If you find correspondence from Oregon similar to what I have described, please forward that to me.  If you do not receive it within the next two weeks or so, please let me know that too.

Rhonda R. Ames
Knaggs, Harter, Brake & Schneider, P.C.
Lansing, Michigan
(517) 622-0590